Bug 169026 - print/gutenprint-cups build prompts unprivileged user
Summary: print/gutenprint-cups build prompts unprivileged user
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 09:50 UTC by Doug Barton
Modified: 2012-07-03 16:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2012-06-13 09:50:04 UTC
	When building the port as an unprivileged user I get the following:

gmake ppd-catalog-clean
gmake[2]: Entering directory `ports/print/gutenprint-cups/work/gutenprint-5.2.7/src/cups'
rm -r catalog
override r--r--r--  username/wheel for catalog/cs/gutenprint_cs.po? y
override r--r--r--  username/wheel for catalog/da/gutenprint_da.po? y
override r--r--r--  username/wheel for catalog/de/gutenprint_de.po? y
override r--r--r--  username/wheel for catalog/el/gutenprint_el.po? y
override r--r--r--  username/wheel for catalog/en_GB/gutenprint_en_GB.po? y
override r--r--r--  username/wheel for catalog/es/gutenprint_es.po? y
override r--r--r--  username/wheel for catalog/fi/gutenprint_fi.po? y
override r--r--r--  username/wheel for catalog/fr/gutenprint_fr.po? y
override r--r--r--  username/wheel for catalog/hu/gutenprint_hu.po? y
override r--r--r--  username/wheel for catalog/it/gutenprint_it.po? y
override r--r--r--  username/wheel for catalog/ja/gutenprint_ja.po? y
override r--r--r--  username/wheel for catalog/nb/gutenprint_nb.po? y
override r--r--r--  username/wheel for catalog/nl/gutenprint_nl.po? y
override r--r--r--  username/wheel for catalog/pl/gutenprint_pl.po? y
override r--r--r--  username/wheel for catalog/pt/gutenprint_pt.po? y
override r--r--r--  username/wheel for catalog/ru/gutenprint_ru.po? y
override r--r--r--  username/wheel for catalog/sk/gutenprint_sk.po? y
override r--r--r--  username/wheel for catalog/sl/gutenprint_sl.po? y
override r--r--r--  username/wheel for catalog/sv/gutenprint_sv.po? y
override r--r--r--  username/wheel for catalog/zh_TW/gutenprint_zh_TW.po? y

Fix: 

Use rm -f?
How-To-Repeat: 	See above
Comment 1 Edwin Groothuis freebsd_committer 2012-06-13 12:44:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-13 12:44:12 UTC
Maintainer of print/gutenprint-cups,

Please note that PR ports/169026 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169026

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-13 12:44:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Christoph Moench-Tegeder freebsd_committer 2012-06-17 20:21:29 UTC
Hi,

thanks for the report.
In addition to your suggested fix I upgraded gutenprint and related
ports to the newest release.

So here it is:
- upgrade print/gutenprint and related ports (print/gutenprint,
  print/gutenprint-base, print/gutenprint-cups, print/gutenprint-ijs,
  print/gimp-gutenprint) to verseion 5.2.8 (latest release)
  ATTENTION: this bumps the soversion of libgutenprint, but as
  far as I can see nothing links directly against that lib, so
  there should be no need for widespread PORTREVISION bumping
  (may anyone confirm that?).
- fix batch building for non-privileged users by rm -rf'ing read-only
  dirs.
- convert print/gutenprint to the new options framework.
- add licence (GPL) information to gutenprint-base/Makefile
- take maintainership of print/gimp-gutenprint, as it's a slaveport
  of print/gutenprint-base (I guess that one was missed when I got
  maintainership of the rest of the gutenprint ports).

The patch is at http://www.burggraben.net/hacks/gutenprint_5.2.8.patch.gz
in case the version below gets mangled en route.

Regards,
Christoph

Patch Follows:

diff -Nru print/gutenprint.orig/Makefile print/gutenprint/Makefile
--- print/gutenprint.orig/Makefile	2012-02-20 19:20:04.000000000 +0100
+++ print/gutenprint/Makefile	2012-06-17 20:00:16.000000000 +0200
@@ -18,27 +18,30 @@
 
 RUN_DEPENDS=	gutenprint-base>0:${PORTSDIR}/print/gutenprint-base
 
-OPTIONS=	CUPS "GutenPrint (gimp-print) Cups Drivers" Off \
-		IJS "IJS GhostScript Drivers" On \
-		FOOMATIC "Foomatic data files" Off
+OPTIONS_DEFINE=		CUPS GIMP IJS FOOMATIC
+OPTIONS_DEFAULT=	IJS
+CUPS_DESC=			GutenPrint (gimp-print) Cups Drivers
+GIMP_DESC=			GIMP Gutenprint printing plugin
+IJS_DESC=			IJS GhostScript Drivers
+FOOMATIC_DESC=		Foomatic data files
 
 NO_BUILD=	yes
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_CUPS)
+.if ${PORT_OPTIONS:MCUPS}
 RUN_DEPENDS+=	gutenprint-cups>0:${PORTSDIR}/print/gutenprint-cups
 .endif
 
-.if defined(WITH_GIMP)
+.if ${PORT_OPTIONS:MGIMP}
 RUN_DEPENDS+=	gimp-gutenprint>0:${PORTSDIR}/print/gimp-gutenprint
 .endif
 
-.if !defined(WITHOUT_IJS)
+.if ${PORT_OPTIONS:MIJS}
 RUN_DEPENDS+=	gutenprint-ijs>0:${PORTSDIR}/print/gutenprint-ijs
 .endif
 
-.if defined(WITH_FOOMATIC)
+.if ${PORT_OPTIONS:MFOOMATIC}
 RUN_DEPENDS+=	gutenprint-foomatic>0:${PORTSDIR}/print/gutenprint-foomatic
 .endif
 
diff -Nru print/gutenprint-base.orig/Makefile print/gutenprint-base/Makefile
--- print/gutenprint-base.orig/Makefile	2012-06-01 16:43:55.000000000 +0200
+++ print/gutenprint-base/Makefile	2012-06-17 21:17:59.000000000 +0200
@@ -7,11 +7,11 @@
 #
 
 PORTNAME?=	gutenprint
-PORTVERSION=	5.2.7
-PORTREVISION=	1
+PORTVERSION=	5.2.8
 CATEGORIES=	print
 MASTER_SITES=	SF/gimp-print/gutenprint-5.2/${PORTVERSION}
 PKGNAMESUFFIX?=	-base
+LICENSE=	GPL
 
 MAINTAINER=	cmt@burggraben.net
 COMMENT=	GutenPrint Printer Driver
@@ -41,7 +41,7 @@
 
 .if defined(GUT_SLAVE) && ${GUT_SLAVE}=="gimp"
 LIB_DEPENDS+=	gimp-2.0:${PORTSDIR}/graphics/gimp-app \
-		gutenprint.2:${PORTSDIR}/print/gutenprint-base
+		gutenprint.3:${PORTSDIR}/print/gutenprint-base
 CONFIGURE_ARGS=--with-gimp2=yes # Override CONFIGURE_ARGS
 BUILD_WRKSRC=	${WRKSRC}/src/gimp2
 INSTALL_WRKSRC=	${WRKSRC}/src/gimp2
diff -Nru print/gutenprint-base.orig/distinfo print/gutenprint-base/distinfo
--- print/gutenprint-base.orig/distinfo	2011-10-17 02:11:09.000000000 +0200
+++ print/gutenprint-base/distinfo	2012-06-17 19:07:42.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (gutenprint-5.2.7.tar.bz2) = 114c899227e3ebb0753c1db503e6a5c1afaa4b1f1235fdfe02fb6bbd533beed1
-SIZE (gutenprint-5.2.7.tar.bz2) = 5498414
+SHA256 (gutenprint-5.2.8.tar.bz2) = 8cb9d2b4dda2d33b221f21c8e1453aead5e37966a194c5a473735d12cdc1c8e0
+SIZE (gutenprint-5.2.8.tar.bz2) = 5691472
diff -Nru print/gutenprint-base.orig/files/patch-src_cups_Makefile.in print/gutenprint-base/files/patch-src_cups_Makefile.in
--- print/gutenprint-base.orig/files/patch-src_cups_Makefile.in	1970-01-01 01:00:00.000000000 +0100
+++ print/gutenprint-base/files/patch-src_cups_Makefile.in	2012-06-17 19:31:48.000000000 +0200
@@ -0,0 +1,15 @@
+--- src/cups/Makefile.in.orig	2012-06-17 19:30:42.000000000 +0200
++++ src/cups/Makefile.in	2012-06-17 19:29:16.000000000 +0200
+@@ -1242,10 +1242,10 @@
+ ppd-stamp-phony: $(PPD)
+ 
+ ppd-catalog-clean:
+-	-$(RM) -r catalog
++	-$(RM) -rf catalog
+ 
+ ppd-clean:
+-	-$(RM) -r ppd
++	-$(RM) -rf ppd
+ 
+ ppd-stamp-pre: ppd-catalog-clean ppd-clean
+ 
diff -Nru print/gutenprint-base.orig/files/patch-src_cups_commandtocanon.c print/gutenprint-base/files/patch-src_cups_commandtocanon.c
--- print/gutenprint-base.orig/files/patch-src_cups_commandtocanon.c	2011-10-17 02:11:09.000000000 +0200
+++ print/gutenprint-base/files/patch-src_cups_commandtocanon.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- src/cups/commandtocanon.c.orig	2011-10-15 13:27:57.000000000 +0200
-+++ src/cups/commandtocanon.c	2011-10-15 13:28:22.000000000 +0200
-@@ -13,6 +13,7 @@
- 
- #include <cups/cups.h>
- #include <ctype.h>
-+#include <stdio.h>
- #include <stdlib.h>
- 
- 
diff -Nru print/gutenprint-base.orig/files/patch-src_cups_commandtoepson.c print/gutenprint-base/files/patch-src_cups_commandtoepson.c
--- print/gutenprint-base.orig/files/patch-src_cups_commandtoepson.c	2011-10-17 02:11:09.000000000 +0200
+++ print/gutenprint-base/files/patch-src_cups_commandtoepson.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- src/cups/commandtoepson.c.orig	2011-10-15 13:20:46.000000000 +0200
-+++ src/cups/commandtoepson.c	2011-10-15 13:20:57.000000000 +0200
-@@ -30,6 +30,7 @@
- 
- #include <cups/cups.h>
- #include <ctype.h>
-+#include <stdio.h>
- #include <stdlib.h>
- #include <string.h>
- 
diff -Nru print/gutenprint-base.orig/pkg-plist print/gutenprint-base/pkg-plist
--- print/gutenprint-base.orig/pkg-plist	2011-10-17 02:11:09.000000000 +0200
+++ print/gutenprint-base/pkg-plist	2012-06-17 20:51:56.000000000 +0200
@@ -30,7 +30,7 @@
 lib/libgutenprint.a
 lib/libgutenprint.la
 lib/libgutenprint.so
-lib/libgutenprint.so.2
+lib/libgutenprint.so.3
 lib/libgutenprintui2.a
 lib/libgutenprintui2.la
 lib/libgutenprintui2.so
@@ -162,6 +162,8 @@
 %%DATADIR%%/5.2/xml/escp2/model/model_113.xml
 %%DATADIR%%/5.2/xml/escp2/model/model_114.xml
 %%DATADIR%%/5.2/xml/escp2/model/model_115.xml
+%%DATADIR%%/5.2/xml/escp2/model/model_116.xml
+%%DATADIR%%/5.2/xml/escp2/model/model_117.xml
 %%DATADIR%%/5.2/xml/escp2/model/model_12.xml
 %%DATADIR%%/5.2/xml/escp2/model/model_13.xml
 %%DATADIR%%/5.2/xml/escp2/model/model_14.xml
@@ -260,6 +262,7 @@
 %%DATADIR%%/5.2/xml/escp2/model/model_99.xml
 %%DATADIR%%/5.2/xml/escp2/qualitypresets/p1_5.xml
 %%DATADIR%%/5.2/xml/escp2/qualitypresets/picturemate.xml
+%%DATADIR%%/5.2/xml/escp2/qualitypresets/prox900.xml
 %%DATADIR%%/5.2/xml/escp2/qualitypresets/standard.xml
 %%DATADIR%%/5.2/xml/escp2/qualitypresets/v2880.xml
 %%DATADIR%%/5.2/xml/escp2/qualitypresets/wf40.xml
@@ -310,6 +313,7 @@
 share/locale/es/LC_MESSAGES/gutenprint.mo
 share/locale/fi/LC_MESSAGES/gutenprint.mo
 share/locale/fr/LC_MESSAGES/gutenprint.mo
+share/locale/gl/LC_MESSAGES/gutenprint.mo
 share/locale/hu/LC_MESSAGES/gutenprint.mo
 share/locale/it/LC_MESSAGES/gutenprint.mo
 share/locale/ja/LC_MESSAGES/gutenprint.mo
@@ -321,6 +325,8 @@
 share/locale/sk/LC_MESSAGES/gutenprint.mo
 share/locale/sl/LC_MESSAGES/gutenprint.mo
 share/locale/sv/LC_MESSAGES/gutenprint.mo
+share/locale/uk/LC_MESSAGES/gutenprint.mo
+share/locale/zh_CN/LC_MESSAGES/gutenprint.mo
 share/locale/zh_TW/LC_MESSAGES/gutenprint.mo
 @dirrm %%DATADIR%%/samples
 @dirrm %%DATADIR%%/doc/reference-html
diff -Nru print/gutenprint-cups.orig/pkg-plist print/gutenprint-cups/pkg-plist
--- print/gutenprint-cups.orig/pkg-plist	2012-06-17 20:58:41.000000000 +0200
+++ print/gutenprint-cups/pkg-plist	2012-06-17 21:02:39.000000000 +0200
@@ -20,42 +20,75 @@
 share/cups/model/gutenprint/5.2/Global/stp-bjc-4000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-4300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-4400.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-450i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-4550.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-455i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-470PD.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-475PD.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-50.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-50i.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-5100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-55.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-5500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-550i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-560i.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-6000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-6100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-6100i.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-6200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-6500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-6500i.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-7000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-7100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-80.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-80i.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-8200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-85.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-8500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-850i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-860i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-865R.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-900PD.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-9100i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-950i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-960i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-9900i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-990i.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-E500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-E600.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP140.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP150.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP160.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP170.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP180.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP190.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP210.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP220.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP240.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP250.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP260.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP270.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP280.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP360.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP370.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP375R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP390.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP450.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP460.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP470.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP480.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP490.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP493.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP495.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP510.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP520.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP530.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP540.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP550.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP560.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP600.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP600R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP610.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP620.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP630.5.2.ppd.gz
@@ -70,33 +103,50 @@
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP780.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP790.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP800.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP800R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP810.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP830.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP950.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP960.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP970.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP980.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MP990.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX300.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX310.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX320.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX330.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX340.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX350.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX360.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX370.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX410.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX420.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX430.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX510.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX700.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX710.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX7600.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX850.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX860.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX870.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX880.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-MULTIPASS-MX890.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG2100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG3100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG4100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG5100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG5200.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG5300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG6100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG6200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG8100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-MG8200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-Pro9000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-Pro9000mk2.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-Pro9500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-Pro9500mk2.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP1000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP1200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP1500.5.2.ppd.gz
@@ -106,46 +156,102 @@
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP2200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP2500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP2600.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP2700.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP3000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP3100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP3300.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP3500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP3600.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4000R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4100R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4600.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4700.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4800.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP4900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP5000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP5200.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP5200R.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP5300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6000D.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6100D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6210D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6220D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6310D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6320D.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6600D.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP6700.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP7100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP7500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP8100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP8500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP8600.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP90.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP90v.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iP9910.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iX4000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iX5000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iX6500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-iX7000.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-mini220.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-mini320.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXMA-mini360.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXUS-iP2700.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXUS-iP3100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-PIXUS-iP4100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-SELPHY-DS700.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-SELPHY-DS810.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i450.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i450X.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i455.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i455X.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i470D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i475D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i550.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i550X.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-i560.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i560X.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i6100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i6500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i70.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-i80.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-i850.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i850old.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-i860.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i860old.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-i865.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i865old.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i900D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i905D.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i9100.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i950.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i960.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i965.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i990.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i9900.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-i9950.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-iP4000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s300.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s330.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s400.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s450.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s4500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s520.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s530D.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s600.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s630.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s750.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-bjc-s800.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s820.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s830.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s900.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-bjc-s9000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-brother-dcp-1200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-brother-dcp-8045d.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-brother-hl-1040.5.2.ppd.gz
@@ -207,6 +313,9 @@
 share/cups/model/gutenprint/5.2/Global/stp-canon-cp730.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-canon-cp740.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-canon-cp750.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-canon-cp760.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-canon-cp770.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-canon-cp790.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-canon-cp800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-canon-es1.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-canon-es2.5.2.ppd.gz
@@ -307,6 +416,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-7880.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-7890.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-790.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-7900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-810.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-820.5.2.ppd.gz
@@ -335,11 +445,13 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-9800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-9880.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-9890.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-9900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan50.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan700.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan710.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan810.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-artisan835.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-b300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-b308.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-b310.5.2.ppd.gz
@@ -402,6 +514,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx3800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx3805.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx3810.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-cx3900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx4100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx4200.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-cx4400.5.2.ppd.gz
@@ -489,6 +602,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-meof70.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-meof700fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-meof80w.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-meof940fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-mj5100c.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-mj6000c.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-mj8000c.5.2.ppd.gz
@@ -501,13 +615,19 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-nx300.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-nx400.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-nx415.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-nx420.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-nx515.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-nx530.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-nx635.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-b1100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-b30.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-b33.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-b40w.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-bx300f.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-of-bx535wd.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-bx600fw.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-of-bx630fw.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-of-bx635fwd.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-sx600fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-t1100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-t1110.5.2.ppd.gz
@@ -516,6 +636,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-t40w.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-tx300f.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-of-tx600fw.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-of-tx620fwd.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-p50.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-ph900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-photo.5.2.ppd.gz
@@ -592,13 +713,16 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px1001.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px101.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px201.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-px204.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px401a.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-px504a.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px5500.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px601f.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px650.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px7000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px700fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px710fw.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-px7v.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px800fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px810fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-px9000.5.2.ppd.gz
@@ -617,6 +741,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r1800.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r1900.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r200.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-r2000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r210.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r220.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-r230.5.2.ppd.gz
@@ -656,6 +781,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx620.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx630.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx640.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-rx650.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx680.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx685.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-rx690.5.2.ppd.gz
@@ -677,8 +803,11 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx405.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx410.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx415.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-sx420.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx510w.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx515.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-sx525.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-sx535FW.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx600fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx610fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-sx615.5.2.ppd.gz
@@ -708,6 +837,7 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx300f.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx400.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx410.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-tx420.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx510fn.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx550w.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx610fw.5.2.ppd.gz
@@ -720,13 +850,17 @@
 share/cups/model/gutenprint/5.2/Global/stp-escp2-tx810fw.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf1100.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf30.5.2.ppd.gz
-share/cups/model/gutenprint/5.2/Global/stp-escp2-wf40.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf310.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf315.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-wf40.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf500.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-wf545.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf600.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf610.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2-wf615.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-wf630.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-wf636.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-escp2-wf645.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-escp2.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-fujifilm-cx400.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-fujifilm-cx550.5.2.ppd.gz
@@ -1076,9 +1210,9 @@
 share/cups/model/gutenprint/5.2/Global/stp-infotec-mp_4000b.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-infotec-mp_5000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-infotec-mp_5000b.5.2.ppd.gz
-share/cups/model/gutenprint/5.2/Global/stp-kodak-dock.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-kodak-dock-plus-s3.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-kodak-dock-plus.5.2.ppd.gz
+share/cups/model/gutenprint/5.2/Global/stp-kodak-dock.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-kodak-g600-dock.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-kodak-pd-4000.5.2.ppd.gz
 share/cups/model/gutenprint/5.2/Global/stp-kodak-pd-6000.5.2.ppd.gz
@@ -1637,6 +1771,7 @@
 share/locale/es/gutenprint_es.po
 share/locale/fi/gutenprint_fi.po
 share/locale/fr/gutenprint_fr.po
+share/locale/gl/gutenprint_gl.po
 share/locale/hu/gutenprint_hu.po
 share/locale/it/gutenprint_it.po
 share/locale/ja/gutenprint_ja.po
@@ -1648,6 +1783,8 @@
 share/locale/sk/gutenprint_sk.po
 share/locale/sl/gutenprint_sl.po
 share/locale/sv/gutenprint_sv.po
+share/locale/uk/gutenprint_uk.po
+share/locale/zh_CN/gutenprint_zh_CN.po
 share/locale/zh_TW/gutenprint_zh_TW.po
 @dirrm share/cups/model/gutenprint/5.2/Global
 @dirrm share/cups/model/gutenprint/5.2
diff -Nru print/gimp-gutenprint.orig/Makefile print/gimp-gutenprint/Makefile
--- print/gimp-gutenprint.orig/Makefile	2012-02-20 19:20:04.000000000 +0100
+++ print/gimp-gutenprint/Makefile	2012-06-17 20:21:56.000000000 +0200
@@ -9,7 +9,7 @@
 PKGNAMEPREFIX=	gimp-
 PKGNAMESUFFIX=	# empty
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	cmt@burggraben.net
 COMMENT=	Gimp print plug-in
 
 MASTERDIR=	${.CURDIR}/../../print/gutenprint-base
Comment 5 Christoph Moench-Tegeder freebsd_committer 2012-06-17 20:40:14 UTC
Sorry,
I screwed up (missed a directory when diffing and wrong license).
The updated patch is (again, still, ...) at
http://www.burggraben.net/hacks/gutenprint_5.2.8.patch.gz (gnats
didn't recogize it, anyway).

Regards,
Christoph

-- 
Spare Space
Comment 6 Doug Barton freebsd_committer 2012-07-02 11:06:10 UTC
Responsible Changed
From-To: dougb->freebsd-ports-bugs


Cast back into the pool so that hopefully someone more familiar 
can deal with it.
Comment 7 Michael Scheidell freebsd_committer 2012-07-03 12:14:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 8 dfilter service freebsd_committer 2012-07-03 16:36:34 UTC
scheidell    2012-07-03 15:36:20 UTC

  FreeBSD ports repository

  Modified files:
    print/gimp-gutenprint Makefile 
    print/gutenprint     Makefile 
    print/gutenprint-base Makefile distinfo pkg-plist 
    print/gutenprint-cups pkg-plist 
  Added files:
    print/gutenprint-base/files patch-src_cups_Makefile.in 
  Removed files:
    print/gutenprint-base/files patch-src_cups_commandtocanon.c 
                                patch-src_cups_commandtoepson.c 
  Log:
  - print/gutenprint-cups build prompts unprivileged user [1]
  - Upgrade related porrs to 5.2.8 [2]
  - Convert to OptionsNG [2]
  - Add GPL license information [2]
  - pet portlint (minor re-arrancement of COMMENT/LICENSE to shut portlint up)
  
  PR:             ports/169026 [1]
  Submitted by:   dougb@ [1]
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net> (maintainer) [2]
  
  Revision  Changes    Path
  1.19      +1 -1      ports/print/gimp-gutenprint/Makefile
  1.55      +4 -3      ports/print/gutenprint-base/Makefile
  1.20      +2 -2      ports/print/gutenprint-base/distinfo
  1.5       +15 -0     ports/print/gutenprint-base/files/patch-src_cups_Makefile.in (new)
  1.2       +0 -10     ports/print/gutenprint-base/files/patch-src_cups_commandtocanon.c (dead)
  1.2       +0 -10     ports/print/gutenprint-base/files/patch-src_cups_commandtoepson.c (dead)
  1.20      +7 -1      ports/print/gutenprint-base/pkg-plist
  1.11      +139 -2    ports/print/gutenprint-cups/pkg-plist
  1.43      +11 -8     ports/print/gutenprint/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Michael Scheidell freebsd_committer 2012-07-03 16:36:38 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!